Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.extensions
Class ExtensionElementMapping

    java.lang.Object
      org.apache.fop.fo.ElementMapping
          org.apache.fop.fo.extensions.ExtensionElementMapping

public class ExtensionElementMapping
extends ElementMapping

Element mapping for FOP's proprietary extension to XSL-FO.

Nested Class Summary

Nested classes inherited from class org.apache.fop.fo.ElementMapping
`ElementMapping.Maker`

Field Summary
`static java.lang.String` | `URI` The FOP extension namespace URI

Fields inherited from class org.apache.fop.fo.ElementMapping
`DEFAULT, foObjs, namespaceURI`

Constructor Summary
`ExtensionElementMapping()` Constructor.

Method Summary
`java.lang.String` | `getStandardPrefix()`
`protected void` | `initialize()` Initialize the data structures.
`boolean` | `isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)` Indicates whether a particular attribute of the namespace is a property, i.e. the attribute value should be converted to a property value.

Methods inherited from class org.apache.fop.fo.ElementMapping
`getDefaultDOMImplementation, getDOMImplementation, getNamespaceURI, getTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URI

    public static final java.lang.String URI

  The FOP extension namespace URI

  See Also:
    Constant Field Values

Constructor Detail

### ExtensionElementMapping

    public ExtensionElementMapping()

  Constructor.

Method Detail

### initialize

    protected void initialize()

  Initialize the data structures.

  Specified by:
    `initialize` in class `ElementMapping`

### getStandardPrefix

    public java.lang.String getStandardPrefix()

  Overrides:
    `getStandardPrefix` in class `ElementMapping`
  Returns:
    the standard namespace prefix for this namespace or null if it is not known.

### isAttributeProperty

    public boolean isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)

  Indicates whether a particular attribute of the namespace is a property, i.e. the attribute value should be converted to a property value.

  Overrides:
    `isAttributeProperty` in class `ElementMapping`
  Parameters:
    `attributeName` - the attribute name
  Returns:
    true if the attribute should be converted to a property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.